# [BETA] Get the number of change requests you can do something with GET https://app.unleash-instance.example.com/api/admin/projects/{projectId}/change-requests/actionable **Enterprise feature** **[BETA]** This API is in beta state, which means it may change or be removed in the future. Returns the number of change requests in this project that your user can move into the next stage by approving or applying them. Reference: https://docs.getunleash.io/api/change-requests/get-actionable-change-requests ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: '[BETA] Get the number of change requests you can do something with' version: endpoint_changeRequests.getActionableChangeRequests paths: /api/admin/projects/{projectId}/change-requests/actionable: get: operationId: get-actionable-change-requests summary: '[BETA] Get the number of change requests you can do something with' description: >- **Enterprise feature** **[BETA]** This API is in beta state, which means it may change or be removed in the future. Returns the number of change requests in this project that your user can move into the next stage by approving or applying them. tags: - - subpackage_changeRequests parameters: - name: projectId in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: actionableChangeRequestsSchema content: application/json: schema: $ref: '#/components/schemas/actionableChangeRequestsSchema' components: schemas: actionableChangeRequestsSchema: type: object properties: total: type: integer description: The number of actionable change requests in the project. required: - total ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/actionable" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/actionable'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/actionable" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/actionable") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/actionable") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/actionable', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/actionable"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/actionable")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```